Dada2 eror on demultiplexed paried end data

Hello, I am new here and love reading forum, it is really healpful so I hope you could help me with my issue. I have folder with forward and reverse reads (no barcode, result or ilumina sequencing). I woul like to calculate beta diversity. I imported data with Casava 1.8 paired-end. When I try perform DADA2 I constantly get errors. Dada2 and qiime2 are both 2021.4 version. Can I somehow get beta diversity without getting new version or it is essential? Thank you in advance!!!

Hello and welcome to the forum!
We are glad that you find this forum helpful!

With information you provided here, it is difficult to tell something concrete regarding the issue you are facing.
So, I would like to add couple of points:

  1. Could you share details of the errors you are getting? It will help us to debug your code.

  2. Qiime2 developers work hard on the improvement of the pipeline, so it always a good idea to use one of the latest versions of Qiime2. I don't think that the version is an issue here but consider updating Qiime2 if possible.

Best,

Dear Timanix thank you very much. This is the eror
R version 4.0.3 (2020-10-10)
Loading required package: Rcpp
DADA2: 1.18.0 / Rcpp: 1.0.10 / RcppParallel: 5.1.7

  1. Filtering Error in validObject(.Object) :
    invalid class “SRFilterResult” object: superclass "Mnumeric" not defined in the environment of the object's class
    Execution halted
    Traceback (most recent call last):
    File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 266, in denoise_paired
    run_commands([cmd])
    File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 36, in run_commands
    subprocess.run(cmd, check=True)
    File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/subprocess.py", line 516, in run
    raise CalledProcessError(retcode, process.args,
    subprocess.CalledProcessError: Command '['run_dada_paired.R', '/var/folders/kc/3zsygf1j3rddrj_vkqqwcsmm0000gp/T/tmpvco48s2k/forward', '/var/folders/kc/3zsygf1j3rddrj_vkqqwcsmm0000gp/T/tmpvco48s2k/reverse', '/var/folders/kc/3zsygf1j3rddrj_vkqqwcsmm0000gp/T/tmpvco48s2k/output.tsv.biom', '/var/folders/kc/3zsygf1j3rddrj_vkqqwcsmm0000gp/T/tmpvco48s2k/track.tsv', '/var/folders/kc/3zsygf1j3rddrj_vkqqwcsmm0000gp/T/tmpvco48s2k/filt_f', '/var/folders/kc/3zsygf1j3rddrj_vkqqwcsmm0000gp/T/tmpvco48s2k/filt_r', '290', '250', '50', '54', '2.0', '2.0', '2', '12', 'independent', 'consensus', '1.0', '1', '1000000']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2cli/commands.py", line 329, in call
results = action(**arguments)
File "", line 2, in denoise_paired
File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 244, in bound_callable
outputs = self.callable_executor(scope, callable_args,
File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/qiime2/sdk/action.py", line 390, in callable_executor
output_views = self._callable(**view_args)
File "/opt/miniconda3/envs/qiime2-2021.4/lib/python3.8/site-packages/q2_dada2/_denoise.py", line 279, in denoise_paired
raise Exception("An error was encountered while running DADA2"
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Could you try to install a newer version of Qiime2?
I found several topics in which updating Qiime2 was recommended to fix similar issues.
If error will still be there, share with us again.
Tomorrow more moderators and active users will be available, so surely one will have the right idea how to fix it!

Thank you for the help! Now I have issue regarding activating new version of qiime2 haha. I see that version 2023.7.0. is installed and I see path for the environment (/Users/toma/miniconda3/envs/qiime2). It is flexible, not strict, however when I try to run some qiime command it says that command not found. If someone had simmilar issue I would appreciate help.

Regards,

Ira

Hello Ira,

Did you install Qiime2 here or did someone else?
(Perhaps you could have them install the newest version. This is what I do when running Qiime2 on HPC.)

Is the Qiime2 conda environment activated? Read more: Natively installing QIIME 2 — QIIME 2 2023.9.2 documentation

Thank you very much. I tried what you suggested but when I try to update conda the environment can't be solved. I didn't install it by myself the first time so I am thinking now is the problem in python version or should I deinstall all and than install again

Ah!

It should be possible to install a new conda env with the new version of Qiime2 that you want.

Have you tried that?

Hi, actually I started with command conda update conda and it won't work, so I didn't continue to other steps because I don't have the new conda version. Not shure if it will work the installation of new environment and qiime with that one

Can you post the error message you got when running conda update conda?

Conda is often installed in your user home directory, but in shared systems, other setups can prevent updates. It may be best to work with the person who installed conda.

You could also try installing the new version yourself and see how it goes!